Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle Security Developer Tools Liberty 1.1 Java API Reference 10g Release 3 (10.1.3) B25384-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.security.xmlsec.liberty.v11.ac
Class AuthenticatorTransportProtocol

`java.lang.Object
oracle.security.xmlsec.util.XMLNode
oracle.security.xmlsec.util.XMLElement
oracle.security.xmlsec.liberty.v11.ac.ACElement
oracle.security.xmlsec.liberty.v11.ac.AuthenticatorTransportProtocol`

public class AuthenticatorTransportProtocol
extends ACElement

Class representing the `AuthenticatorTransportProtocol` element in the Liberty authentication context namespace (http://projectliberty.org/schemas/authctx/2002/05).

Since:
  1.0

Field Summary

Fields inherited from class oracle.security.xmlsec.liberty.v11.ac.ACElement
`authenticationContextClass`

Fields inherited from class oracle.security.xmlsec.util.XMLNode
`node, systemId`

Constructor Summary
`AuthenticatorTransportProtocol(org.w3c.dom.Document owner, AuthenticationContextStatement acs)` Creates a new `AuthenticatorTransportProtocol` instance in the given document with the given authentication context.
`AuthenticatorTransportProtocol(org.w3c.dom.Element element, AuthenticationContextStatement acs)` Creates a new `AuthenticatorTransportProtocol` object that wraps the given Element object.
`AuthenticatorTransportProtocol(org.w3c.dom.Element element, java.lang.String systemId, AuthenticationContextStatement acs)` Creates a new `AuthenticatorTransportProtocol` object that wraps the given Element object.

Method Summary
`void` | `addHTTP(HTTP http)` Adds the `HTTP` element to this `AuthenticatorTransportProtocol` element.
`void` | `addIPSec(IPSec ipSec)` Adds the `IPSec` element to this `AuthenticatorTransportProtocol` element.
`void` | `addMobileNetwork(MobileNetwork mn)` Adds the `MobileNetwork` element to this `AuthenticatorTransportProtocol` element.
`void` | `addSSL(SSL ssl)` Adds the `SSL` element to this `AuthenticatorTransportProtocol` element.
`void` | `addWTLS(WTLS wtls)` Adds the `WTLS` element to this `AuthenticatorTransportProtocol` element.
`java.util.List` | `getHTTPs()` Returns the `HTTP` elements contained in this `AuthenticatorTransportProtocol`.
`java.util.List` | `getIPSecs()` Returns the `IPSec` elements contained in this `AuthenticatorTransportProtocol`.
`java.util.List` | `getMobileNetworks()` Returns the `MobileNetwork` elements contained in this `AuthenticatorTransportProtocol`.
`java.util.List` | `getSSLs()` Returns the `SSL` elements contained in this `AuthenticatorTransportProtocol`.
`java.util.List` | `getWTLSs()` Returns the `WTLS` elements contained in this `AuthenticatorTransportProtocol`.

Methods inherited from class oracle.security.xmlsec.liberty.v11.ac.ACElement
`getAuthenticationContextClass, setAuthenticationContextClass`

Methods inherited from class oracle.security.xmlsec.util.XMLElement
`addNSPrefixAttr, addNSPrefixAttr, addNSPrefixAttrDefault, addNSPrefixAttrDefault, getAttribute, getAttributeNode, getAttributeNodeNS, getAttributeNS, getChildElementsByTagName, getChildElementsByTagName, getChildElementsByTagNameNS, getChildElementsByTagNameNS, getDefaultNSPrefix, getElementsByTagName, getElementsByTagNameNS, getTagName, hasAttribute, hasAttributeNS, removeAttribute, removeAttributeNode, removeAttributeNS, setAttribute, setAttributeNode, setAttributeNodeNS, setAttributeNS, setDefaultNSPrefix`

Methods inherited from class oracle.security.xmlsec.util.XMLNode
`appendChild, appendChild, appendTo, cloneNode, getAttributes, getChildNodes, getFirstChild, getLastChild, getLocalName, getNamespaceURI, getNextSibling, getNode, getNodeName, getNodeType, getNodeValue, getOwnerDocument, getParentNode, getPrefix, getPreviousSibling, getSystemId, hasAttributes, hasChildNodes, insertBefore, insertBefore, isSupported, normalize, removeChild, removeChild, replaceChild, replaceChild, setNodeValue, setPrefix, setSystemId, toBytesXML, toStringXML`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AuthenticatorTransportProtocol

    public AuthenticatorTransportProtocol(org.w3c.dom.Element element,
                                          AuthenticationContextStatement acs)

  Creates a new `AuthenticatorTransportProtocol` object that wraps the given Element object.
Parameters:
  `element` - The underlying `org.w3c.dom.Element` object.
  `acs` - The authentication context for the element.

### AuthenticatorTransportProtocol

    public AuthenticatorTransportProtocol(org.w3c.dom.Element element,
                                          java.lang.String systemId,
                                          AuthenticationContextStatement acs)

  Creates a new `AuthenticatorTransportProtocol` object that wraps the given Element object.
Parameters:
  `element` - The underlying `org.w3c.dom.Element` object.
  `systemId` - The URI string system ID for the `AuthenticatorTransportProtocol`.
  `acs` - The authentication context for the element.

### AuthenticatorTransportProtocol

    public AuthenticatorTransportProtocol(org.w3c.dom.Document owner,
                                          AuthenticationContextStatement acs)

  Creates a new `AuthenticatorTransportProtocol` instance in the given document with the given authentication context.
Parameters:
  `owner` - The owner document for this new element.
  `acs` - The authentication context for this new element.

Method Detail

### addMobileNetwork

    public void addMobileNetwork(MobileNetwork mn)
                          throws AuthenticationContextException

  Adds the `MobileNetwork` element to this `AuthenticatorTransportProtocol` element.
  Parameters:
    `mn` - The `MobileNetwork` element.
  Throws:
    `AuthenticationContextException` - If the `MobileNetwork` element is not valid for this authentication context class.

### getMobileNetworks

    public java.util.List getMobileNetworks()

  Returns the `MobileNetwork` elements contained in this `AuthenticatorTransportProtocol`.

### addHTTP

    public void addHTTP(HTTP http)
                 throws AuthenticationContextException

  Adds the `HTTP` element to this `AuthenticatorTransportProtocol` element.
  Parameters:
    `http` - The `HTTP` element.
  Throws:
    `AuthenticationContextException` - If the `HTTP` element is not valid for this authentication context class.

### getHTTPs

    public java.util.List getHTTPs()

  Returns the `HTTP` elements contained in this `AuthenticatorTransportProtocol`.

### addSSL

    public void addSSL(SSL ssl)
                throws AuthenticationContextException

  Adds the `SSL` element to this `AuthenticatorTransportProtocol` element.
  Parameters:
    `ssl` - The `SSL` element.
  Throws:
    `AuthenticationContextException` - If the `SSL` element is not valid for this authentication context class.

### getSSLs

    public java.util.List getSSLs()

  Returns the `SSL` elements contained in this `AuthenticatorTransportProtocol`.

### addWTLS

    public void addWTLS(WTLS wtls)
                 throws AuthenticationContextException

  Adds the `WTLS` element to this `AuthenticatorTransportProtocol` element.
  Parameters:
    `wtls` - The `WTLS` element.
  Throws:
    `AuthenticationContextException` - If the `WTLS` element is not valid for this authentication context class.

### getWTLSs

    public java.util.List getWTLSs()

  Returns the `WTLS` elements contained in this `AuthenticatorTransportProtocol`.

### addIPSec

    public void addIPSec(IPSec ipSec)
                  throws AuthenticationContextException

  Adds the `IPSec` element to this `AuthenticatorTransportProtocol` element.
  Parameters:
    `ipSec` - The `IPSec` element.
  Throws:
    `AuthenticationContextException` - If the `IPSec` element is not valid for this authentication context class.

### getIPSecs

    public java.util.List getIPSecs()

  Returns the `IPSec` elements contained in this `AuthenticatorTransportProtocol`.

Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle Security Developer Tools Liberty 1.1 Java API Reference 10g Release 3 (10.1.3) B25384-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2005, 2006 , Oracle. All rights reserved.